Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_LMDZ.xml
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_LMDZ.xml	(revision 4170)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_LMDZ.xml	(revision 4171)
@@ -155,5 +155,5 @@
    <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : Load of Seasalt -->
    <field id="CMIP6_longitude"     field_ref="dummy_not_provided"         /> <!-- P1 (degrees_east) longitude : Longitude -->
-   <field id="CMIP6_lwsffluxaero"  field_ref="dummy_not_provided"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
+   <field id="CMIP6_lwsffluxaero"  field_ref="toplwad"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
    <field id="CMIP6_lwsrfasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust : All-sky Surface Longwave radiative flux due to Dust -->
    <field id="CMIP6_lwsrfcsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Clear-sky Surface Longwave radiative flux due to Dust -->
@@ -161,5 +161,5 @@
    <field id="CMIP6_lwtoacsaer"    field_ref="toplwad0"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing : Clear-Sky LW-RF Aerosols at TOA -->
    <field id="CMIP6_lwtoacsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_longwave_forcing_due_to_dust_in_clearsky : Clear-sky TOA Longwave radiative flux due to Dust -->
-   <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_not_provided"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
+   <field id="CMIP6_lwtoafluxaerocs" field_ref="toplwad0"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P1 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
    <field id="CMIP6_mcd"           field_ref="dnwd"              > (dnwd-dnwd0) &gt; 0 ? (dnwd-dnwd0) : 0 </field> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
@@ -281,10 +281,10 @@
    <field id="CMIP6_snwc"          field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) canopy_snow_amount : canopy_snow_amount -->
    <field id="CMIP6_solbnd"        field_ref="solbnd"         />  <!-- P1 (W m-2) solar_irradiance : Top-of-Atmosphere Solar Insolation for each band -->
-   <field id="CMIP6_swsffluxaero"  field_ref="dummy_not_provided"         /> <!-- P2 (W m-2) shortwave__flux_due_to_volcanic_aerosols_at__the_surface : downwelling shortwave  flux due to volcanic aerosols at  the surface to be diagnosed through double radiation call -->
+   <field id="CMIP6_swsffluxaero"  field_ref="topswad"         /> <!-- P2 (W m-2) shortwave__flux_due_to_volcanic_aerosols_at__the_surface : downwelling shortwave  flux due to volcanic aerosols at  the surface to be diagnosed through double radiation call -->
    <field id="CMIP6_swsrfasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) tendency_of_all_sky_surface_shortwave_flux_due_to_dust_ambient_aerosol_particles : All-sky Surface Shortwave radiative flux due to Dust -->
    <field id="CMIP6_swsrfcsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) tendency_of_clear_sky_surface_shortwave_flux_due_to_dust_ambient_aerosol_particles : Clear-sky Surface Shortwave radiative flux due to Dust -->
    <field id="CMIP6_swtoaasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : all sky sw-rf dust at toa -->
    <field id="CMIP6_swtoacsdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : clear sky sw-rf dust at toa -->
-   <field id="CMIP6_swtoafluxaerocs" field_ref="dummy_not_provided"       /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
+   <field id="CMIP6_swtoafluxaerocs" field_ref="topswad0"       /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_sza"           field_ref="sza"              /> <!-- P1 (degree) solar_zenith_angle : solar zenith angle -->
    <field id="CMIP6_t2"            field_ref="temp"> temp*temp   </field> <!-- P2 (K2) square_of_air_temperature : square_of_air_temperature -->
@@ -363,6 +363,6 @@
    <field id="CMIP6_zhalf"         field_ref="zhalf"            /> <!-- P2 (m) height_above_reference_ellipsoid : This is actual height above mean sea level, not geopotential height.  This is actual height above mean sea level, not geopotential height.  Includes both the top of the model atmosphere and surface levels. -->
    <field id="CMIP6_zmla"          field_ref="s_pblh"           /> <!-- P1 (m) atmosphere_boundary_layer_thickness : Height of Boundary Layer -->
-   <field id="CMIP6_zmlwaero"      field_ref="dummy_not_provided"        /> <!-- P1 (K s-1) longwave_heating_rate_due_to_volcanic_aerosols : longwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
-   <field id="CMIP6_zmswaero"      field_ref="dummy_not_provided"        /> <!-- P1 (K s-1) shortwave_heating_rate_due_to_volcanic_aerosols : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
+   <field id="CMIP6_zmlwaero"      field_ref="cool_volc"        /> <!-- P1 (K s-1) longwave_heating_rate_due_to_volcanic_aerosols : longwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
+   <field id="CMIP6_zmswaero"      field_ref="heat_volc"        /> <!-- P1 (K s-1) shortwave_heating_rate_due_to_volcanic_aerosols : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
    <field id="CMIP6_zmtnt"         field_ref="dtphy"            /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : Zonal Mean Diabatic Heating Rates -->
    <field id="CMIP6_ap" field_ref="Ahyb" /><!-- Ap hybrid coordinate array for level interfaces -->
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_orchidee.xml
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_orchidee.xml	(revision 4170)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/ping_orchidee.xml	(revision 4171)
@@ -7,10 +7,11 @@
 <!-- field_ref="dummy" means that the corresponding output variable in ORCHIDEE has not yet been identified or coded.     -->
 <!--                                                                                                                      -->
-<!-- $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE/src_xml/CMIP6_ping_land.xml $                          -->
-<!-- $Date: 2018-03-13 17:38:36 +0100 (Tue, 13 Mar 2018) $                                                              -->
-<!-- $Revision: 5091 $                                                                                                    -->
+<!-- $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/tags/ORCHIDEE_2_0/ORCHIDEE/src_xml/CMIP6_ping_land.xml $              -->
+<!-- $Date: 2018-11-27 12:15:46 +0100 (Tue, 27 Nov 2018) $                                                               -->
+<!-- $Revision: 5625 $                                                                                                    -->
 <!-- ==================================================================================================================== -->
 
-<!-- Ping files generated by dr2xml 0.27 using Data Request 01.00.21 -->
+<!-- Ping files generated by dr2xml 1.16 using Data Request 01.00.28 -->
+<!-- Note that comments are not updated since ping files were generated by dr2xml 0.27 using Data Request 01.00.21 -->
 <!-- lrealms= ['land'] -->
 <!-- exact= False -->
@@ -28,5 +29,5 @@
  grid_policy : native
  path_special_defs : None
- mips : {'LR': set(['CORDEX', 'GMMIP', 'RFMIP', 'VolMIP', 'CMIP6', 'ScenarioMIP', 'GeoMIP', 'C4MIP', 'PDRMIP', 'CMIP', 'DECK', 'LUMIP', 'CMIP5', 'CFMIP', 'OMIP', 'DAMIP', 'CCMI', 'SolarMIP', 'VIACSAB', 'SIMIP', 'DCPP', 'ISMIP6', 'AerChemMIP', 'PMIP', 'FAFMIP', 'DynVar', 'LS3MIP', 'SPECS', 'HighResMIP'])}
+ mips : {'LR': set(['CDRMIP', 'CORDEX', 'GMMIP', 'RFMIP', 'VolMIP', 'CMIP6', 'ScenarioMIP', 'GeoMIP', 'C4MIP', 'PDRMIP', 'CMIP', 'DECK', 'LUMIP', 'CMIP5', 'CFMIP', 'OMIP', 'DAMIP', 'CCMI', 'SolarMIP', 'VIACSAB', 'SIMIP', 'DCPP', 'ISMIP6', 'AerChemMIP', 'PMIP', 'FAFMIP', 'DynVar', 'LS3MIP', 'SPECS', 'HighResMIP'])}
  excluded_vars : []
  orphan_variables : {}
@@ -76,5 +77,4 @@
    <field id="CMIP6_cSoil"         field_ref="cSoil"         /> <!-- P1 (kg m-2) soil_carbon_content : Carbon Mass in Soil Pool -->
    <field id="CMIP6_cSoilAbove1m"  field_ref="dummy_XY_not_provided"         /> <!-- P1 (kg m-2) soil_carbon_content : Carbon mass in soil pool above 1m depth -->
-   <field id="CMIP6_cSoilBelow1m"  field_ref="dummy_XY_not_provided"         /> <!-- P1 (kg m-2) soil_carbon_content : Carbon Mass in Soil Pool below 1m Depth -->
    <field id="CMIP6_cSoilFast"     field_ref="cSoilFast"         /> <!-- P1 (kg m-2) fast_soil_pool_carbon_content : fast is meant as lifetime of less than 10 years for  reference climate conditions (20 C, no water limitations). -->
    <field id="CMIP6_cSoilGrass"    field_ref="cSoilGrass"         /> <!-- P2 (kg m-2) soil_carbon_content : Carbon mass in soil on grass tiles -->
@@ -101,5 +101,4 @@
    <field id="CMIP6_cw"            field_ref="qsintveg_tot"         /> <!-- P1 (kg m-2) canopy_water_amount : canopy_water_amount -->
    <field id="CMIP6_dcw"           field_ref="delintercept"         /> <!-- P1 (kg m-2) change_over_time_in_canopy_water_amount : change_over_time_in_canopy_water_amount -->
-   <field id="CMIP6_dfr"           field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) depth_of_frozen_soil : depth_of_frozen_soil -->
    <field id="CMIP6_dgw"           field_ref="delslowr"         /> <!-- P1 (kg m-2) change_over_time_in_groundwater : change_over_time_in_groundwater Warning: It can be either undef or delslowr. We take the second option for the moment. -->
    <field id="CMIP6_dmlt"          field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) depth_of_subsurface_melting : depth_of_subsurface_melting -->
@@ -114,5 +113,5 @@
    <field id="CMIP6_es"            field_ref="vevapnu"         /> <!-- P1 (kg m-2 s-1) liquid_water_evaporation_flux_from_soil : liquid_water_evaporation_flux_from_soil -->
    <field id="CMIP6_esn"           field_ref="vevapsno"         /> <!-- P1 (kg m-2 s-1) liquid_water_evaporation_flux_from_surface_snow : liquid_water_evaporation_flux_from_surface_snow -->
-   <field id="CMIP6_et"            field_ref="vevapp"         /> <!-- P1 (kg m-2 s-1) surface_evapotranspiration : surface_evapotranspiration -->
+   <field id="CMIP6_evspsbl"       field_ref="vevapp"         /> <!-- P1 (kg m-2 s-1) surface_evapotranspiration : surface_evapotranspiration -->
    <field id="CMIP6_evspsblpot"    field_ref="evapot"         /> <!-- P1 (kg m-2 s-1) water_potential_evaporation_flux : Potential Evapotranspiration -->
    <field id="CMIP6_evspsblsoi"    field_ref="evspsblsoi"         /> <!-- P1 (kg m-2 s-1) water_evaporation_flux_from_soil : includes sublimation. -->
@@ -163,5 +162,5 @@
    <field id="CMIP6_fVegSoilSenescence" field_ref="dummy_XY_not_provided"    /> <!-- P2 (kg m-2 s-1) senescence_vegtosoil_carbon_flux : Total Carbon Mass Flux from Vegetation to Soil as a result of leaf, branch, and root senescence -->
    <field id="CMIP6_fahLut"        field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upward_heat_flux_due_to_anthropogenic_energy_consumption : Anthropogenic heat flux generated from non-renewable human primary energy consumption, including energy use by vehicles, commercial and residential buildings, industry, and power plants.  Primary energy refers to energy in natural resources, fossil and nonfossil, before conversion into other forms, such as electricity. -->
-   <field id="CMIP6_fldcapacity"   field_ref="fldcapacity"       /> <!-- P1 (%)  : Field Capacity Warning: Defined as wilt/saturation, may still evolve (AD) -->
+   <field id="CMIP6_fldcapacity"   field_ref="fldcapacity"       /> <!-- P1 (%) volume_fraction_of_condensed_water_in_soil_at_field_capacity : Field Capacity -->
    <field id="CMIP6_fracInLut"     field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (%) area_fraction : annual gross fraction that was transferred into this tile from other land use tiles -->
    <field id="CMIP6_fracLut"       field_ref="fraclut" /> <!-- P1 (%) area_fraction : fraction of grid cell for each land use tile -->
@@ -178,5 +177,7 @@
    <field id="CMIP6_grassFracC4"   field_ref="grassFracC4"         /> <!-- P1 (%) area_fraction : C4 grass Area Percentage -->
    <field id="CMIP6_hfdsn"         field_ref="snowflxtot"         /> <!-- P1 (W m-2) surface_downward_heat_flux_in_snow : the net downward heat flux from the atmosphere into the snow that lies on land divided by the land area in the grid cell; reported as missing for snow-free land regions or where the land fraction is 0. -->
+   <field id="CMIP6_hfls"          field_ref="fluxlat"           /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : The surface called "surface" means the lower boundary of the atmosphere. "Upward" indicates a vector component which is positive when directed upward (negative downward). The surface latent heat flux is the exchange of heat between the surface and the air on account of evaporation (including sublimation). In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. -->
    <field id="CMIP6_hflsLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : latent heat flux on land use tile -->
+   <field id="CMIP6_hfss"          field_ref="fluxsens"          /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : The surface called "surface" means the lower boundary of the atmosphere. "Upward" indicates a vector component which is positive when directed upward (negative downward). The surface sensible heat flux, also called "turbulent" heat flux, is the exchange of heat between the surface and the air by motion of air. In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. Unless indicated in the cell_methods attribute, a quantity is assumed to apply to the whole area of each horizontal grid box. Previously, the qualifier where_type was used to specify that the quantity applies only to the part of the grid box of the named type.  Names containing the where_type qualifier are deprecated and newly created data should use the cell_methods attribute to indicate the horizontal area to which the quantity applies. -->
    <field id="CMIP6_hfssLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : sensible heat flux on land use tile -->
    <field id="CMIP6_hussLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (1) specific_humidity : near-surface specific humidity on land use tile -->
@@ -192,4 +193,5 @@
    <field id="CMIP6_mrlso"         field_ref="humtot_liquid"         /> <!-- P1 (kg m-2) soil_liquid_water_content : Soil Liquid Water Content -->
    <field id="CMIP6_mrro"          field_ref="mrro"         /> <!-- P1 (kg m-2 s-1) runoff_flux : the total runoff (including "drainage" through the base of the soil model) leaving the land portion of the grid cell divided by the land area in the grid cell, averaged over the 3-hour interval. -->
+   <field id="CMIP6_mrroLi"        field_ref="dummy_XY_not_provided"  /> <!-- P1 (kg m-2 s-1) land_ice_runoff_flux : Runoff flux over land ice is the difference between any available liquid water in the snowpack less any refreezing. Computed as the sum of rainfall and melt of snow or ice less any refreezing or water retained in the snowpack -->
    <field id="CMIP6_mrroLut"       field_ref="mrro_lut" /> <!-- P1 (kg m-2 s-1) runoff_flux : Total runoff from land use tile -->
    <field id="CMIP6_mrrob"         field_ref="drainage"         /> <!-- P1 (kg m-2 s-1) subsurface_runoff_flux : subsurface_runoff_flux -->
@@ -203,5 +205,5 @@
    <field id="CMIP6_mrsos"         field_ref="humtot_top"         /> <!-- P1 (kg m-2) moisture_content_of_soil_layer : the mass of water in all phases in a thin surface soil layer. -->
    <field id="CMIP6_mrsosLut"      field_ref="humtot_top_lut" /> <!-- P1 (kg m-2) moisture_content_of_soil_layer : Moisture in Upper Portion of Soil Column of land use tile -->
-   <field id="CMIP6_mrsow"         field_ref="mrsow"         /> <!-- P1 (1) volume_fraction_of_condensed_water_in_soil_at_field_capacity : relative_soil_moisture_content_above_field_capacity Warning: weird mention to field capacity in the description, overlooked. -->
+   <field id="CMIP6_mrsow"         field_ref="dummy_not_provided"         /> <!-- P1 (1) volume_fraction_of_condensed_water_in_soil_at_field_capacity : relative_soil_moisture_content_above_field_capacity Warning: weird mention to field capacity in the description, overlooked. AD: 3 differents definintions, we do not know what to do -->
    <field id="CMIP6_mrtws"         field_ref="tws"         /> <!-- P1 (kg m-2) total_water_storage : canopy_and_surface_and_subsurface_water_amount -->
    <field id="CMIP6_nLand"         field_ref="dummy_XY_not_provided"         /> <!-- P1 (kg m-2) total_land_nitrogen : Total nitrogen in all terrestrial nitrogen pools -->
@@ -239,5 +241,5 @@
    <field id="CMIP6_nudgincswe"    field_ref="nudgincswe"         /> <!-- P1 (kg m-2) nudging_increment_in_surface_snow_and_ice_amount : nudging_increment_in_surface_snow_and_ice_amount -->
    <field id="CMIP6_nwdFracLut"    field_ref="nwdFraclut" /> <!-- P1 (%)  : fraction of land use tile tile that is non-woody vegetation ( e.g. herbaceous crops) -->
-   <field id="CMIP6_orog_ist"      field_ref="dummy_XY"         /> <!-- P1 (m) surface_altitude : Surface Altitude -->
+   <field id="CMIP6_orog"          field_ref="dummy_XY"         /> <!-- P1 (m) surface_altitude : Surface Altitude -->
    <field id="CMIP6_orog_ist"      field_ref="dummy_XY"         /> <!-- P1 (m) surface_altitude : This is needed in case the ice sheet elevation changes in time -->
    <field id="CMIP6_pastureFrac"   field_ref="dummy_XY_not_provided"         /> <!-- P1 (%) area_fraction : fraction of entire grid cell  that is covered by anthropogenic pasture. -->
@@ -245,4 +247,6 @@
    <field id="CMIP6_pastureFracC4" field_ref="dummy_XY_not_provided"         /> <!-- P2 (%) area_fraction : C4 Pasture Area Percentage -->
    <field id="CMIP6_pflw"          field_ref="dummy_XY_not_provided"         /> <!-- P1 (kg m-2) liquid_water_content_of_permafrost_layer : "where land over land", i.e., this is the total mass of liquid water contained within the permafrost layer within the land portion of a grid cell divided by the area of the land portion of the cell. -->
+   <field id="CMIP6_prra"          field_ref="precip_rain"      /> <!-- P1 (kg m-2 s-1) rainfall_flux : over Land Ice//quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_prsn"          field_ref="precip_snow"      /> <!-- P1 (kg m-2 s-1) snowfall_flux : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_prveg"         field_ref="prveg"         /> <!-- P1 (kg m-2 s-1) precipitation_flux_onto_canopy : the precipitation flux that is intercepted by the vegetation canopy (if present in model) before reaching the ground. -->
    <field id="CMIP6_qgwr"          field_ref="drainage"         /> <!-- P1 (kg m-2 s-1) water_flux_from_soil_layer_to_groundwater : water_flux_from_soil_layer_to_groundwater Warning: It can be either undef or drainage. We take the second option for the moment. -->
@@ -272,7 +276,11 @@
    <field id="CMIP6_rivi"          field_ref="dummy_XY_not_provided"         /> <!-- P1 (m3 s-1) water_flux_from_upstream : water_flux_to_downstream -->
    <field id="CMIP6_rivo"          field_ref="hydrographs"         /> <!-- P1 (m3 s-1) water_flux_to_downstream : water_flux_from_upstream -->
+   <field id="CMIP6_rlds"          field_ref="lwdown"           /> <!-- P1 (W m-2) surface_downwelling_longwave_flux_in_air : The surface called "surface" means the lower boundary of the atmosphere. "longwave" means longwave radiation. Downwelling radiation is radiation from above. It does not mean "net downward". When thought of as being incident on a surface, a radiative flux is sometimes called "irradiance". In addition, it is identical with the quantity measured by a cosine-collector light-meter and sometimes called "vector irradiance". In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. -->
+   <field id="CMIP6_rlus"          field_ref="lwdown"    >   lwdown - lwnet </field> <!-- P1 (W m-2) surface_upwelling_longwave_flux_in_air : The surface called "surface" means the lower boundary of the atmosphere. "longwave" means longwave radiation. Upwelling radiation is radiation from below. It does not mean "net upward". When thought of as being incident on a surface, a radiative flux is sometimes called "irradiance". In addition, it is identical with the quantity measured by a cosine-collector light-meter and sometimes called "vector irradiance". In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. -->
    <field id="CMIP6_rlusLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upwelling_longwave_flux_in_air : Surface Upwelling Longwave on Land Use Tile -->
    <field id="CMIP6_rootd"         field_ref="zmaxh"         /> <!-- P1 (m) root_depth : report the maximum soil depth reachable by plant roots (if defined in model), i.e., the maximum soil depth from which they can extract moisture; report as "missing" where the land fraction is 0. -->
-   <field id="CMIP6_rootdsl"       field_ref="nroot"       /> <!-- P1 (kg m-3)  : Root Distribution Warning: It's a relative root density per layer in Orchidee with no dimension. -->
+   <field id="CMIP6_rootdsl"       field_ref="dummy_XYSo"       /> <!-- P1 (kg m-2) root_mass_content_of_carbon : Root Distribution -->
+   <field id="CMIP6_rsds"          field_ref="swdown"         /> <!-- P1 (W m-2) surface_downwelling_shortwave_flux_in_air : surface solar irradiance for UV calculations -->
+   <field id="CMIP6_rsus"          field_ref="swdown"   >   swdown - swnet </field> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air : The surface called "surface" means the lower boundary of the atmosphere. "shortwave" means shortwave radiation. Upwelling radiation is radiation from below. It does not mean "net upward". When thought of as being incident on a surface, a radiative flux is sometimes called "irradiance". In addition, it is identical with the quantity measured by a cosine-collector light-meter and sometimes called "vector irradiance". In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. -->
    <field id="CMIP6_rsusLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air : Surface Upwelling Shortwave  on Land Use Tile -->
    <field id="CMIP6_rzwc"          field_ref="humtot"         /> <!-- P1 (kg m-2) water_content_of_root_zone : water_content_of_root_zone -->
@@ -287,10 +295,10 @@
    <field id="CMIP6_snm_land"      field_ref="snowmelt"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux : surface_snow_and_ice_melt_flux -->
    <field id="CMIP6_snm_ist"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux : Surface Snow Melt -->
-   <field id="CMIP6_snw_land"      field_ref="snow"         /> <!-- P1 (kg m-2) surface_snow_amount : Computed as the mass of surface snow on the land portion of the grid cell divided by the land area in the grid cell; reported as missing where the land fraction is 0; excluded is snow on vegetation canopy or on sea ice. -->
-   <field id="CMIP6_snw_land"      field_ref="snow"         /> <!-- P1 (kg m-2) surface_snow_amount : the mass of surface snow on the land portion of the grid cell divided by the land area in the grid cell; reported as missing where the land fraction is 0; excludes snow on vegetation canopy or on sea ice. -->
+   <field id="CMIP6_snw"           field_ref="snow"         /> <!-- P1 (kg m-2) surface_snow_amount : Computed as the mass of surface snow on the land portion of the grid cell divided by the land area in the grid cell; reported as missing where the land fraction is 0; excluded is snow on vegetation canopy or on sea ice. -->
    <field id="CMIP6_sootsn"        field_ref="dummy_XY_not_provided"         /> <!-- P1 (kg m-2) soot_content_of_surface_snow : the entire land portion of the grid cell is considered, with snow soot content set to 0.0 in regions free of snow. -->
    <field id="CMIP6_sw"            field_ref="surfwater"         /> <!-- P1 (kg m-2) surface_water_amount_assuming_no_snow : surface_water_amount_assuming_no_snow Warning: includes the fast reservoire -->
    <field id="CMIP6_sweLut"        field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (m)  : snow water equivalent on land use tile -->
    <field id="CMIP6_tSoilPools"    field_ref="tSoilPools"/> <!-- P2 (s-1) soil_carbon_turnover_rate_by_pool : turnover rate of each model soil carbon pool -->
+   <field id="CMIP6_tas"           field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tasLut"        field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (K) air_temperature : near-surface air temperature (2m above displacement height, i.e. t_ref) on land use tile -->
    <field id="CMIP6_tcs"           field_ref="dummy_XY_not_provided"         /> <!-- P1 (K) canopy_temperature : Vegetation Canopy Temperature -->
@@ -307,13 +315,14 @@
    <field id="CMIP6_treeFracSecDec" field_ref="dummy_XY_not_provided"         /> <!-- P1 (%) area_fraction : fraction of entire grid cell  that is covered by secondary deciduous trees. -->
    <field id="CMIP6_treeFracSecEver" field_ref="dummy_XY_not_provided"         /> <!-- P1 (%) area_fraction : fraction of entire grid cell  that is covered by secondary evergreen trees. -->
+   <field id="CMIP6_ts"            field_ref="dummy_XY"         /> <!-- P1 (K) surface_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tsl"           field_ref="ptn"       /> <!-- P1 (K) soil_temperature : Temperature of single near-surface soil layer.  Reported as "missing" for grid cells occupied entirely by "sea". -->
    <field id="CMIP6_tslsi"         field_ref="temp_sol_new"         /> <!-- P1 (K) surface_temperature : Surface temperature of all surfaces except open ocean. -->
    <field id="CMIP6_tslsiLut"      field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (K) surface_temperature : Surface Temperature on Landuse Tile -->
-   <field id="CMIP6_tsn_ist"       field_ref="dummy_XY"         /> <!-- P1 (K) temperature_in_surface_snow : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_tsn_land"      field_ref="dummy_XY"         /> <!-- P1 (K) temperature_in_surface_snow : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tsn_ist"       field_ref="dummy_XY"         /> <!-- P1 (K) temperature_in_surface_snow : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tsn_land"      field_ref="dummy_XY_not_provided"         /> <!-- P1 (K) temperature_in_surface_snow : This temperature is averaged over all the snow in the grid cell that rests on land or land ice.  When computing the time-mean here, the time samples, weighted by the mass of snow on the land portion of the grid cell, are accumulated and then divided by the sum of the weights.   Reported as "missing in regions free of snow on land. Warning: Doable but painful with the two different snow schemes. -->
-   <field id="CMIP6_tsnl"          field_ref="snowtemp"       /> <!-- P1 (K) snow_temperature : Density-weighted average temperature of the snow in layers  (for models with 3D snow schemes) Warning: Computed only for the layered scheme on vegetated and bare soil area. -->
    <field id="CMIP6_vegFrac"       field_ref="vegFrac"         /> <!-- P1 (%) area_fraction : Total vegetated fraction -->
-   <field id="CMIP6_vegHeight"     field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) canopy_height : canopy height -->
+   <field id="CMIP6_vegHeight_land" field_ref="dummy_XY_not_provided"         /> <!-- P2 (m) canopy_height : Vegetation height averaged over all vegetation types and over the vegetated fraction of a grid cell. -->
+   <field id="CMIP6_vegHeight_veg" field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) canopy_height : Vegetation height averaged over all vegetation types and over the vegetated fraction of a grid cell. -->
    <field id="CMIP6_vegHeightCrop" field_ref="dummy_XY_not_provided"         /> <!-- P2 (m) canopy_height : Vegetation height averaged over the crop fraction of a grid cell. -->
    <field id="CMIP6_vegHeightGrass" field_ref="dummy_XY_not_provided"         /> <!-- P2 (m) canopy_height : Vegetation height averaged over the grass fraction of a grid cell. -->
@@ -325,5 +334,5 @@
    <field id="CMIP6_wetlandCH4prod" field_ref="dummy_XY_not_provided"         /> <!-- P2 (kg m-2 s-1) wetland_methane_production : Grid averaged methane production (methanogenesis) from wetlands -->
    <field id="CMIP6_wetlandFrac"   field_ref="dummy_XY_not_provided"         /> <!-- P2 (%) wetland_fraction : Fraction of a grid cell covered by wetland. -->
-   <field id="CMIP6_wilt"          field_ref="wilt"       /> <!-- P1 (%)  : Wilting Point Warning: Defined as wilt/saturation, may still evolve (AD) -->
+   <field id="CMIP6_wilt"          field_ref="wilt"       /> <!-- P1 (%) volume_fraction_of_condensed_water_in_soil_at_wilting_point : Wilting Point -->
    <field id="CMIP6_wtd"           field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) depth_of_soil_moisture_saturation : depth_of_soil_moisture_saturation -->
 </field_definition>