Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 4173)
@@ -27,7 +27,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 4173)
@@ -3,4 +3,13 @@
 
 [UserChoices]
+# NINPUT_UPDATE=1Y: change in nitrogen input maps every year. 
+# Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
+NINPUT_UPDATE=0Y
+
+# STOMATE_IMPOSE_CN: impose nitrogen
+# If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
+# If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
+STOMATE_IMPOSE_CN=y
+
 
 # Specify output level for output files
@@ -19,5 +28,15 @@
 
 [InitialStateFiles]
-List=   ()
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, leaf_cn.nc)
+
+# Following files are needed if STOMATE_IMPOSE_CN=n
+#List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
+#     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 4173)
@@ -27,7 +27,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/stomate.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/stomate.card	(revision 4173)
@@ -3,4 +3,13 @@
 
 [UserChoices]
+# NINPUT_UPDATE=1Y: change in nitrogen input maps every year. 
+# Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
+NINPUT_UPDATE=0Y
+
+# STOMATE_IMPOSE_CN: impose nitrogen
+# If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
+# If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
+STOMATE_IMPOSE_CN=y
+
 
 # Specify output level for output files
@@ -19,5 +28,15 @@
 
 [InitialStateFiles]
-List=   ()
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, leaf_cn.nc)
+
+# Following files are needed if STOMATE_IMPOSE_CN=n
+#List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
+#     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/orchidee.card	(revision 4173)
@@ -27,7 +27,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/stomate.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/COMP/stomate.card	(revision 4173)
@@ -3,4 +3,13 @@
 
 [UserChoices]
+# NINPUT_UPDATE=1Y: change in nitrogen input maps every year. 
+# Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
+NINPUT_UPDATE=0Y
+
+# STOMATE_IMPOSE_CN: impose nitrogen
+# If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
+# If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
+STOMATE_IMPOSE_CN=y
+
 
 # Specify output level for output files
@@ -19,5 +28,15 @@
 
 [InitialStateFiles]
-List=   ()
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, leaf_cn.nc)
+
+# Following files are needed if STOMATE_IMPOSE_CN=n
+#List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
+#     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/orchidee.card	(revision 4173)
@@ -32,7 +32,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/stomate.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/COMP/stomate.card	(revision 4173)
@@ -3,4 +3,13 @@
 
 [UserChoices]
+# NINPUT_UPDATE=1Y: change in nitrogen input maps every year. 
+# Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
+NINPUT_UPDATE=0Y
+
+# STOMATE_IMPOSE_CN: impose nitrogen
+# If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
+# If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
+STOMATE_IMPOSE_CN=y
+
 
 # Specify output level for output files
@@ -19,5 +28,15 @@
 
 [InitialStateFiles]
-List=   ()
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, leaf_cn.nc)
+
+# Following files are needed if STOMATE_IMPOSE_CN=n
+#List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
+#     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 4173)
@@ -32,7 +32,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card	(revision 4173)
@@ -3,4 +3,13 @@
 
 [UserChoices]
+# NINPUT_UPDATE=1Y: change in nitrogen input maps every year. 
+# Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
+NINPUT_UPDATE=0Y
+
+# STOMATE_IMPOSE_CN: impose nitrogen
+# If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
+# If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
+STOMATE_IMPOSE_CN=y
+
 
 # Specify output level for output files
@@ -19,5 +28,15 @@
 
 [InitialStateFiles]
-List=   ()
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, leaf_cn.nc)
+
+# Following files are needed if STOMATE_IMPOSE_CN=n
+#List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
+#     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
+#     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
+
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/orchidee.card	(revision 4173)
@@ -34,7 +34,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param_fao_cn.nc, soils_param.nc ), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
 	(${R_IN}/SRF/LAI/lai2D_ORCHIDEE_2_0_v1.nc, lai2D.nc), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/stomate.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/stomate.driver	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/stomate.driver	(revision 4173)
@@ -56,4 +56,26 @@
     fi
 
+
+    # Modify in orchidee.def NINPUT_UPDATE if it is set in stomate.card section UserChoices
+    # NINPUT_UPDATE inidcates if the nitrogen maps should be updated and at which frequency
+    if [ ! X${stomate_UserChoices_NINPUT_UPDATE} = X ] ; then
+        # Take the value from stomate.card
+        IGCM_comp_modifyDefFile nonblocker orchidee.def NINPUT_UPDATE   ${stomate_UserChoices_NINPUT_UPDATE}
+    else
+        # Set default value 0Y
+        IGCM_comp_modifyDefFile nonblocker orchidee.def NINPUT_UPDATE 0Y
+    fi
+
+    # Modify in orchidee.def STOMATE_IMPOSE_CN if it is set in stomate.card section UserChoices
+    # STOMATE_IMPOSE_CN inidcates if the nitrogen should be imposed or not. 
+    if [ ! X${stomate_UserChoices_STOMATE_IMPOSE_CN} = X ] ; then
+        # Take the value from stomate.card
+        IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_IMPOSE_CN   ${stomate_UserChoices_STOMATE_IMPOSE_CN}
+    else
+        # Set default value n (nitrogen is not imposed)
+        IGCM_comp_modifyDefFile nonblocker orchidee.def STOMATE_IMPOSE_CN n
+    fi
+
+
     IGCM_debug_PopStack "SBG_Update"
 }
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/orchidee.def_CWRR	(revision 4171)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/orchidee.def_CWRR	(revision 4173)
@@ -31,5 +31,5 @@
 # PRINTLEV = 2 : more output in initialization phase and printing of new date
 # PRINTLEV = 3, 4,.. : more output also at each timestep
-PRINTLEV=1
+PRINTLEV=2
 
 # Hydrology parameters
@@ -139,20 +139,4 @@
 DO_WOOD_HARVEST=_AUTO_ : DEFAULT=y
 
-# Growth respiration (default values except for PFT=14 and PFT=15)
-FRAC_GROWTHRESP__02 = 0.35
-FRAC_GROWTHRESP__03 = 0.35
-FRAC_GROWTHRESP__04 = 0.28
-FRAC_GROWTHRESP__05 = 0.28
-FRAC_GROWTHRESP__06 = 0.28
-FRAC_GROWTHRESP__07 = 0.35
-FRAC_GROWTHRESP__08 = 0.35
-FRAC_GROWTHRESP__09 = 0.35
-FRAC_GROWTHRESP__10 = 0.28
-FRAC_GROWTHRESP__11 = 0.28
-FRAC_GROWTHRESP__12 = 0.28
-FRAC_GROWTHRESP__13 = 0.28
-FRAC_GROWTHRESP__14 = 0.35
-FRAC_GROWTHRESP__15 = 0.35
-
 # Maintenance respiration slope C (default values except for PFT=14 and PFT=15)
 MAINT_RESP_SLOPE_C__02 = 0.12
@@ -193,4 +177,16 @@
 LAI_MAP = _AUTO_ : DEFAULT = n
 
+# Parameters related to nitrogen cycle
+#**************************************************************************
+# Update nitrogen input maps (default 0Y)
+NINPUT_UPDATE = _AUTO_
+
+# Impose the CN ratio of leaves
+STOMATE_IMPOSE_CN = _AUTO_
+
+# Set STOMATE_READ_CN=y to read leaf_cn.nc file if STOMATE_IMPOSE_CN=y
+STOMATE_READ_CN = y
+CNLEAF_VAR = CN_LEAF
+
 # Parameters related to surface and thermal physical properties
 #************************************************************************
@@ -226,2 +222,78 @@
 CO2_FOR_BVOC_POSSELL=n
 
+
+# Parameters below are different from default values of ORCHIDEE_2_0.
+# These values correspond to the previous default values and were used 
+# during developement of ORCHIDEE-CN
+#**************************************************************************
+# Growth respiration
+FRAC_GROWTHRESP__02 = 0.28
+FRAC_GROWTHRESP__03 = 0.28
+FRAC_GROWTHRESP__04 = 0.28
+FRAC_GROWTHRESP__05 = 0.28
+FRAC_GROWTHRESP__06 = 0.28
+FRAC_GROWTHRESP__07 = 0.28
+FRAC_GROWTHRESP__08 = 0.28
+FRAC_GROWTHRESP__09 = 0.28
+FRAC_GROWTHRESP__10 = 0.28
+FRAC_GROWTHRESP__11 = 0.28
+FRAC_GROWTHRESP__12 = 0.28
+FRAC_GROWTHRESP__13 = 0.28
+FRAC_GROWTHRESP__14 = 0.28
+FRAC_GROWTHRESP__15 = 0.28
+
+
+# Parameters below are different from default values of ORCHIDEE_2_0 
+# because they were tuned for the developements of ORCHIDEE-CN
+#**************************************************************************
+MOIAVAIL_ALWAYS_GRASS=0.4
+MOIAVAIL_ALWAYS_TREE=0.8
+TCST_SNOWA=3
+
+#PHENO_GDD_CRIT_C(K)
+PHENO_GDD_CRIT_C__00012=360
+PHENO_GDD_CRIT_C__00013=450
+
+#HUM_MIN_TIME(days)
+HUM_MIN_TIME__00012=50
+
+#GDD_SENESCENCE(K)
+GDD_SENESCENCE__00012=1600
+
+#ALLOC_MIN(nan)
+ALLOC_MIN__00007=0.35000
+ALLOC_MIN__00008=0.70
+ALLOC_MIN__00009=0.20
+
+
+# File and variable name for nitrogen input files
+# Following files are read if STOMATE_IMPOSE_CN=n
+#**************************************************************************
+Nammonium_FILE = ndep_nhx.nc
+Nammonium_VAR = nhx
+
+Nnitrate_FILE = ndep_noy.nc
+Nnitrate_VAR = noy
+
+Nfert_FILE = NONE
+Nfert_VAR = nfer
+
+Nmanure_FILE = NONE
+Nmanure_VAR = Nmanure
+
+Nfert_cropland_FILE = nfert_cropland.nc
+Nfert_cropland_VAR = nfer
+
+Nmanure_cropland_FILE = nmanure_cropland.nc
+Nmanure_cropland_VAR = Nmanure
+
+Nfert_pasture_FILE = nfert_pasture.nc
+Nfert_pasture_VAR = Nfer
+
+Nmanure_pasture_FILE = nmanure_pasture.nc
+Nmanure_pasture_VAR = Nmanure
+
+Nbnf_FILE= bnf.nc
+Nbnf_VAR= BNF_MGN_PERM2_PERYR
+
+